[Et-mgmt-commits-list] [SCM] virt-factory branch, master now at 3ad82e8243c9a1f53d81a8eae819740ffb602e4a

Adrian Likins alikins at redhat.com
Mon Apr 23 21:54:22 UTC 2007


Hello,

This is an automated email from the git hooks/update script, it was
generated because a ref change was pushed to the repository.

Updating branch, master,
       via  3ad82e8243c9a1f53d81a8eae819740ffb602e4a (commit)
       via  e4eadfcc56089ba760e584acbfbc1d1a710dc3ff (commit)
       via  2df86c158dc32cfb756c9e7525bcd47056f42e90 (commit)
       via  e424ae230fd6b8a17614ccd08825f6a3a8aeb947 (commit)
      from  bd357273e9ad7f089386bc61ce6e571e944e6311 (commit)

- Log -----------------------------------------------------------------
commit 3ad82e8243c9a1f53d81a8eae819740ffb602e4a
Author: Adrian Likins <alikins at redhat.com>
Date:   Mon Apr 23 17:53:56 2007 -0400

    *.py files are not directories
    bump rev

commit e4eadfcc56089ba760e584acbfbc1d1a710dc3ff
Author: Adrian Likins <alikins at redhat.com>
Date:   Mon Apr 23 17:52:55 2007 -0400

    bump rev

commit 2df86c158dc32cfb756c9e7525bcd47056f42e90
Author: Adrian Likins <alikins at redhat.com>
Date:   Mon Apr 23 17:51:56 2007 -0400

    bug in spec file, *.py files are not dirs

commit e424ae230fd6b8a17614ccd08825f6a3a8aeb947
Author: Adrian Likins <alikins at redhat.com>
Date:   Mon Apr 23 17:22:37 2007 -0400

    test nodecomm stuff
    
    cleanup any random puppet cruft left around
-----------------------------------------------------------------------

Diffstat:
 build/test-it-all.sh             |   36 +++++++++++++++++++++++++++++++++++-
 nodes/virt-factory-nodes.spec    |    7 +++++--
 service/virt-factory-server.spec |    7 +++++--
 3 files changed, 45 insertions(+), 5 deletions(-)

diff --git a/build/test-it-all.sh b/build/test-it-all.sh
index a19cbd6..c70d496 100644
--- a/build/test-it-all.sh
+++ b/build/test-it-all.sh
@@ -67,9 +67,16 @@ CLEANUP_COBBLER=Y
 # versioned properly
 CLEANUP_YUM=Y
 
+# remove any existing puppet configs/certs/etc
+CLEANUP_PUPPET=Y
+
 # do some basic testing of the wui code
 TEST_WEB_STUFF=Y
 
+
+# try to run nodecomm to see if basic ssl stuff is working
+TEST_NODECOMM=Y
+
 # you can put conf stuff in test-it-all.conf 
 # so you don't have to worry about checking in config stuff
 
@@ -106,7 +113,9 @@ show_config()
     echo "REMOVE_PACKAGES=$REMOVE_PACKAGES"
     echo "CLEANUP_COBBLER=$CLEANUP_COBBLER"
     echo "CLEANUP_YUM=$CLEANUP_YUM"
+    echo "CLEANUP_PUPPET=$CLEANUP_PUPPET"
     echo "TEST_WEB_STUFF=$TEST_WEB_STUFF"
+    echo "TEST_NODECOMM=$TEST_NODECOMM"
 }
 
 msg()
@@ -174,7 +183,13 @@ cleanup_repo_mirror()
 
     rm -rf /var/www/cobbler/repo_mirror/*
 }
- 
+
+
+cleanup_puppet()
+{
+    # blow away any puppet configs that might be about
+    rm -rf /var/lib/puppet/*
+} 
 
 # FIXME: sync this repo
 # create the repo like the one at 
@@ -260,7 +275,14 @@ test_web_stuff()
 	    echo "$VF_SERVER/vf/$path returned an error code of $RET_CODE"
 	fi
     done
+}
 
+test_nodecomm()
+{
+    msg "Testing vf_nodecomm to see if basic ssl stuff is working"
+    HN=`hostname`
+    /usr/bin/vf_nodecomm $HN $HN test_add 1 2 
+    echo $?
 }
 # commandline parsing
 while [ $# -gt 0 ]
@@ -281,8 +303,10 @@ do
 	--skip-register) REGISTER_SYSTEM=N;;
 	--skip-package-remote) REMOVE_PACKAGES=N;;
 	--skip-cobbler-cleanup) CLEANUP_COBBLER=N;;
+	--skip-puppet-cleanup) CLEANUP_PUPPET=N;;
 	--cleanup-yum) CLEANUP_YUM=Y;;
 	--skip-web-test) TEST_WEB_STUFF=N;;
+	--skip-nodecomm-test) TEST_NODECOMM=N;;
     esac
     shift
 done
@@ -364,6 +388,11 @@ if [ "$CLEANUP_COBBLER" == "Y" ] ; then
     cleanup_cobbler
 fi
 
+if [ "$CLEANUP_PUPPET" == "Y" ] ; then
+    msg "Cleaning up puppet configs"
+    cleanup_puppet
+fi
+
 # purge the db
 if [ "$REFRESH_DB" == "Y" ] ; then
     msg "Purging the db"
@@ -433,3 +462,8 @@ if [ "$TEST_WEB_STUFF" == "Y" ] ; then
     msg "Running some basic tests on the web interface"
     test_web_stuff
 fi
+
+if [ "$TEST_NODECOMM" == "Y" ] ; then
+    msg "Running some basic nodecomm tests"
+    test_nodecomm
+fi
\ No newline at end of file
diff --git a/nodes/virt-factory-nodes.spec b/nodes/virt-factory-nodes.spec
index fc7401a..734c4e3 100644
--- a/nodes/virt-factory-nodes.spec
+++ b/nodes/virt-factory-nodes.spec
@@ -4,7 +4,7 @@
 Summary: Virt-factory web service server for use with virt-factory
 Name: virt-factory-nodes
 Version: 0.0.1
-Release: 3%{?dist}
+Release: 4%{?dist}
 Source0: %{name}-%{version}.tar.gz
 License: GPL
 Group: Applications/System
@@ -36,14 +36,17 @@ test "x$RPM_BUILD_ROOT" != "x" && rm -rf $RPM_BUILD_ROOT
 %dir %{python_sitelib}/virt-factory/nodes
 #%{python_sitelib}/virt-factory/*.py*
 %{python_sitelib}/virt-factory/nodes/*.py*
+%{python_sitelib}/virt-factory/nodes/modules/*.py*
 %dir %{python_sitelib}/virt-factory/nodes/modules
-%dir %{python_sitelib}/virt-factory/nodes/modules/*.py*
 %dir %{python_sitelib}/virt-factory/nodes/yaml
 %{python_sitelib}/virt-factory/nodes/yaml/*.py*
 %dir /var/log/virt-factory
 
 
 %changelog
+* Mon Apr 23 2007 Adrian Likins <alikins at redhat.com> - 0.0.1-4
+- remove spurious %dir on module files
+
 * Thu Mar 15 2007 Adrian Likins <alikins at redhat.com> - 0.0.1-3
 - add init script
 
diff --git a/service/virt-factory-server.spec b/service/virt-factory-server.spec
index cc6c5f4..76a2e47 100644
--- a/service/virt-factory-server.spec
+++ b/service/virt-factory-server.spec
@@ -4,7 +4,7 @@
 Summary: Virt-factory web service server for use with virt-factory
 Name: virt-factory-server
 Version: 0.0.1
-Release: 7%{?dist}
+Release: 8%{?dist}
 Source0: %{name}-%{version}.tar.gz
 License: GPL
 Group: Applications/System
@@ -53,7 +53,7 @@ test "x$RPM_BUILD_ROOT" != "x" && rm -rf $RPM_BUILD_ROOT
 #%{python_sitelib}/virt-factory/*.py*
 %{python_sitelib}/virt-factory/server/*.py*
 %dir %{python_sitelib}/virt-factory/server/modules
-%dir %{python_sitelib}/virt-factory/server/modules/*.py*
+%{python_sitelib}/virt-factory/server/modules/*.py*
 %dir %{python_sitelib}/virt-factory/server/yaml
 %{python_sitelib}/virt-factory/server/yaml/*.py*
 %dir %{python_sitelib}/virt-factory/server/db_upgrade
@@ -82,6 +82,9 @@ fi
 
 
 %changelog
+* Mon Apr 23 2007 Adrian Likins <alikins at redhat.com> - 0.0.1-8
+- remove spurious %dir on module files
+
 * Thu Apr 12 2007 Scott Seago <sseago at redhat.com> - 0.0.1-7
 - moved db creation from service init script to rpm %post
 - for rpm upgrades, perform schema upgrade

hooks/update
---
Git Source Code Management System
hooks/update refs/heads/master \
  bd357273e9ad7f089386bc61ce6e571e944e6311 \
  3ad82e8243c9a1f53d81a8eae819740ffb602e4a




More information about the Et-mgmt-commits-list mailing list